﻿/* MOVIES GADGET VERSION 1	
original movies gadget by Manas Tungare (www.manastungare.com)
Thanks to Manas, Benjamin, Teo and the Google Desktop team
Designed by Kai
*/

// ---- Helper Functions ----////////////////////////////////////////////////////////////////

function replaceXmlEntities(str) {
  str = str.replace(/&nbsp;/g, " ");
  str = str.replace(/&copy;/g, "(c) ");
  str = str.replace(/&quot;/g, '"');
  return str;
}

function stripTags(str) {
  return str.replace(/<([^>]|\n)*>/g,'\n');
}

function getErrorMessage(err) {
  return errorOccurred
    + errorCode + err.errorCode
    + errorDesc + err.reason
    + "\n\n"
    + informDev;
}

/* From http://www.rgagnon.com/jsdetails/js-0096.html */
function encodeUrl(sStr) {
  return escape(sStr).
    replace(/\+/g, "%2B").
      replace(/\"/g, "%22").
         replace(/\'/g, "%27").
           replace(/\//g, "%2F");
}

function showPage(url) {
  var wshShell = new ActiveXObject("WScript.Shell");
  wshShell.run(url);
  wshShell = null;
}

function replaceAll(oldStr,findStr,repStr) { //To replace characters
  var srchNdx = 0;  
  var newStr = "";  
  while (oldStr.indexOf(findStr,srchNdx) != -1) {
    newStr += oldStr.substring(srchNdx,oldStr.indexOf(findStr,srchNdx));
    newStr += repStr;
    srchNdx = (oldStr.indexOf(findStr,srchNdx) + findStr.length);            
  }
  newStr += oldStr.substring(srchNdx,oldStr.length);
  return newStr;
}

if (options.exists("stats")==false)
	stats();

function stats(){
var statsHttp= new XMLHttpRequest();
statsHttp.open("GET", "http://feeds.feedburner.com/MoviesGadgetStats", false);
statsHttp.send();
 if (statsHttp.readyState == 4){
	options.add("stats","true");
}
statsHttp=null;
}

var currentVersion=1;
var updateHttp;
checkForUpdates();
function checkForUpdates(){
	updateHttp = new XMLHttpRequest();
	updateHttp.onreadystatechange=checkUpdate;
	updateHttp.open("GET", "http://feeds.feedburner.com/MoviesGadgetVersion", true);
	updateHttp.send();
}

function checkUpdate(){
 if (updateHttp.readyState == 4){
	var version=updateHttp.responseText.substring(updateHttp.responseText.indexOf("<title>Version</title>"),updateHttp.responseText.length);		
	version=version.substring(version.indexOf("<description>")+13,version.indexOf("</description>"));
	if (version>currentVersion){
		updateImage.visible=true;
		updateBackground.visible=true;
		}
	statsHttp=null;
}

}
